## ros-ros-comm 1.15.14%2Bds

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_CONFIGURE_ARGS=-DPYVER={version}
export PYBUILD_SYSTEM=cmake

# for unit tests
export ROS_IP=127.0.0.1

ifneq (,$(filter $(DEB_BUILD_ARCH),amd64))
  TESTS=--before-test "PYTHONPATH={build_dir}/build/devel/lib/python*/dist-packages make -C {build_dir} run_tests" --after-test "catkin_test_results {build_dir}"
else
  TESTS=--before-test "PYTHONPATH={build_dir}/build/devel/lib/python*/dist-packages make -C {build_dir} run_tests || true"
endif

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_test:
	dh_auto_test -- ${TESTS}

## ros-ros-comm 1.15.14+ds

=== clients/roscpp/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(roscpp)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(catkin REQUIRED COMPONENTS
  cpp_common message_generation rosconsole roscpp_serialization roscpp_traits rosgraph_msgs rostime std_msgs xmlrpcpp
)

catkin_package_xml()
# split version in parts and pass to extra file
string(REPLACE "." ";" roscpp_VERSION_LIST "${roscpp_VERSION}")
list(LENGTH roscpp_VERSION_LIST _count)
if(NOT _count EQUAL 3)
  message(FATAL_ERROR "roscpp version '${roscpp_VERSION}' does not match 'MAJOR.MINOR.PATCH' pattern")
endif()
list(GET roscpp_VERSION_LIST 0 roscpp_VERSION_MAJOR)
list(GET roscpp_VERSION_LIST 1 roscpp_VERSION_MINOR)
list(GET roscpp_VERSION_LIST 2 roscpp_VERSION_PATCH)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/include/ros/common.h.in ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ros/common.h)

find_package(Boost REQUIRED COMPONENTS chrono filesystem system)

include_directories(include ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ros ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})
# this is needed for use within a bazel workspace. See #1548 for details.
include_directories(${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION})

add_message_files(
  DIRECTORY msg
  FILES Logger.msg
)

add_service_files(
  DIRECTORY srv
  FILES Empty.srv GetLoggers.srv SetLoggerLevel.srv
)

generate_messages()

set(PTHREAD_LIB "")
find_package(Threads)
if(CMAKE_THREAD_LIBS_INIT)
  string(LENGTH ${CMAKE_THREAD_LIBS_INIT} _length)
  if(_length GREATER 2)
    string(SUBSTRING ${CMAKE_THREAD_LIBS_INIT} 0 2 _prefix)
    if(${_prefix} STREQUAL "-l")
      math(EXPR _rest_len "${_length} - 2")
      string(SUBSTRING ${CMAKE_THREAD_LIBS_INIT} 2 ${_rest_len} PTHREAD_LIB)
    endif()
  endif()
endif()

catkin_package(
  INCLUDE_DIRS include ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ros
  LIBRARIES roscpp ${PTHREAD_LIB}
  CATKIN_DEPENDS cpp_common message_runtime rosconsole roscpp_serialization roscpp_traits rosgraph_msgs rostime std_msgs xmlrpcpp
  DEPENDS Boost
)

include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckCXXSymbolExists)

# Not everybody has <ifaddrs.h> (e.g., embedded arm-linux)
CHECK_INCLUDE_FILES(ifaddrs.h HAVE_IFADDRS_H)
# Not everybody has trunc (e.g., Windows, embedded arm-linux)
CHECK_FUNCTION_EXISTS(trunc HAVE_TRUNC)
# Not everybody has epoll (e.g., Windows, BSD, embedded arm-linux) 
CHECK_CXX_SYMBOL_EXISTS(epoll_wait "sys/epoll.h" HAVE_EPOLL)

# Output test results to config.h
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/src/libros/config.h.in ${CMAKE_CURRENT_BINARY_DIR}/config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_library(roscpp 
  src/libros/master.cpp
  src/libros/network.cpp
  src/libros/subscriber.cpp
  src/libros/common.cpp
  src/libros/publisher_link.cpp
  src/libros/service_publication.cpp
  src/libros/connection.cpp
  src/libros/single_subscriber_publisher.cpp
  src/libros/param.cpp
  src/libros/service_server.cpp
  src/libros/wall_timer.cpp
  src/libros/xmlrpc_manager.cpp
  src/libros/publisher.cpp
  src/libros/timer.cpp
  src/libros/io.cpp
  src/libros/names.cpp
  src/libros/topic.cpp
  src/libros/topic_manager.cpp
  src/libros/poll_manager.cpp
  src/libros/publication.cpp
  src/libros/statistics.cpp
  src/libros/intraprocess_subscriber_link.cpp
  src/libros/intraprocess_publisher_link.cpp
  src/libros/callback_queue.cpp
  src/libros/service_server_link.cpp
  src/libros/service_client.cpp
  src/libros/node_handle.cpp
  src/libros/connection_manager.cpp
  src/libros/file_log.cpp
  src/libros/transport/transport.cpp
  src/libros/transport/transport_udp.cpp
  src/libros/transport/transport_tcp.cpp
  src/libros/subscriber_link.cpp
  src/libros/service_client_link.cpp
  src/libros/transport_publisher_link.cpp
  src/libros/transport_subscriber_link.cpp
  src/libros/service_manager.cpp
  src/libros/rosout_appender.cpp
  src/libros/init.cpp
  src/libros/subscription.cpp
  src/libros/subscription_queue.cpp
  src/libros/spinner.cpp
  src/libros/internal_timer_manager.cpp
  src/libros/message_deserializer.cpp
  src/libros/poll_set.cpp
  src/libros/service.cpp
  src/libros/this_node.cpp
  src/libros/steady_timer.cpp
  )

if(WIN32)
  add_definitions(-DNOGDI)
endif()

add_dependencies(roscpp ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

target_link_libraries(roscpp
  ${catkin_LIBRARIES}
  ${Boost_LIBRARIES}
  )

if(WIN32)
  target_link_libraries(roscpp ws2_32)
endif()

#explicitly install library and includes
install(TARGETS roscpp
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")
install(FILES ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ros/common.h
  DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION}/ros)
# install legacy infrastructure needed by rosbuild
install(FILES rosbuild/roscpp.cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rosbuild)
catkin_install_python(PROGRAMS
  rosbuild/scripts/genmsg_cpp.py
  rosbuild/scripts/gensrv_cpp.py
  rosbuild/scripts/msg_gen.py
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/rosbuild/scripts)

=== tools/rostest/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rostest)

find_package(catkin COMPONENTS rosunit)
find_package(Boost COMPONENTS thread)

include_directories(include ${Boost_INCLUDE_DIRS})

catkin_package(DEPENDS Boost
  INCLUDE_DIRS include
  CFG_EXTRAS ${PROJECT_NAME}-extras.cmake
  )
catkin_python_setup()

catkin_install_python(
  PROGRAMS nodes/advertisetest nodes/hztest nodes/paramtest nodes/publishtest
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/nodes)
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

if(CATKIN_ENABLE_TESTING)
  find_package(catkin COMPONENTS rostest)

  catkin_add_gtest(test_permuter test/test_permuter.cpp)
  if(TARGET test_permuter)
    target_link_libraries(test_permuter ${Boost_LIBRARIES})
  endif()

  add_rostest(test/hztest0.test)
  add_rostest(test/hztest.test)
  add_rostest(test/publishtest.test)
  add_rostest(test/clean_master.test)
  add_rostest(test/distro_version.test)
  add_rostest(test/param.test)
  add_rostest(test/advertisetest.test)
endif()

=== tools/topic_tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(topic_tools)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(catkin COMPONENTS cpp_common message_generation rosconsole roscpp rostime std_msgs xmlrpcpp)
catkin_python_setup()

include_directories(include)
include_directories(${catkin_INCLUDE_DIRS})

add_service_files(DIRECTORY srv
  FILES
  MuxAdd.srv
  MuxDelete.srv
  MuxList.srv
  MuxSelect.srv
  DemuxAdd.srv
  DemuxDelete.srv
  DemuxList.srv
  DemuxSelect.srv)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES topic_tools
  CATKIN_DEPENDS message_runtime rosconsole roscpp std_msgs xmlrpcpp
 )

catkin_add_env_hooks(20.transform SHELLS bash DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

add_library(topic_tools src/shape_shifter.cpp src/parse.cpp)
target_link_libraries(topic_tools ${catkin_LIBRARIES})

add_executable(switch_mux src/switch_mux.cpp)
target_link_libraries(switch_mux topic_tools ${catkin_LIBRARIES})

add_executable(mux src/mux.cpp)
target_link_libraries(mux topic_tools ${catkin_LIBRARIES})
add_dependencies(topic_tools ${${PROJECT_NAME}_EXPORTED_TARGETS})

add_executable(demux src/demux.cpp)
target_link_libraries(demux topic_tools ${catkin_LIBRARIES})
add_dependencies(topic_tools ${${PROJECT_NAME}_EXPORTED_TARGETS})

add_executable(relay src/relay.cpp)
target_link_libraries(relay topic_tools ${catkin_LIBRARIES})

add_executable(drop src/drop.cpp)
target_link_libraries(drop topic_tools ${catkin_LIBRARIES})

add_executable(throttle src/throttle.cpp)
target_link_libraries(throttle topic_tools ${catkin_LIBRARIES})

install(TARGETS topic_tools
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(TARGETS switch_mux mux demux relay drop throttle
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

catkin_install_python(PROGRAMS
  scripts/mux_add
  scripts/mux_delete
  scripts/mux_list
  scripts/mux_select
  scripts/relay_field
  scripts/transform
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

#Testing
if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  find_package(rosunit)
  catkin_add_gtest(${PROJECT_NAME}-utest test/utest.cpp)
  if(TARGET ${PROJECT_NAME}-utest)
    target_link_libraries(${PROJECT_NAME}-utest topic_tools)
  endif()

  if(GTEST_FOUND)
    include_directories(${GTEST_INCLUDE_DIRS})
    add_executable(${PROJECT_NAME}-test_shapeshifter EXCLUDE_FROM_ALL test/test_shapeshifter.cpp)
    target_link_libraries(${PROJECT_NAME}-test_shapeshifter ${GTEST_LIBRARIES} topic_tools)
  endif()
  if(TARGET tests)
    add_dependencies(tests ${PROJECT_NAME}-test_shapeshifter)
  endif()

  add_rostest(test/shapeshifter.test)
  add_rostest(test/throttle.test)
  add_rostest(test/throttle_simtime.test)
  add_rostest(test/throttle_simtime_loop.test)
  add_rostest(test/drop.test)
  add_rostest(test/relay.test)
  add_rostest(test/relay_stealth.test)
  add_rostest(test/lazy_transport.test)
  add_rostest(test/mux_initial_none.test)
  add_rostest(test/mux_initial_other.test)
  add_rostest(test/transform.test)
  ## Latched test disabled until underlying issue in roscpp is resolved,
  ## #3385, #3434.
  #rosbuild_add_rostest(test/relay_latched.test)
  add_rostest(test/mux.test)
  add_rostest(test/switch_mux.test)
  add_rostest(test/switch_mux_leading_slash.test)
  add_rostest(test/switch_mux_none.test)
  #rosbuild_add_rostest(test/mux_add.test)

  catkin_add_nosetests(test/args.py)
endif()

=== debian/changelog ===
ros-ros-comm (1.15.14+ds-2build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Mar 2022 15:05:30 +0100

ros-ros-comm (1.15.14+ds-2build1) jammy; urgency=medium

  * No-change rebuild against libboost-regex1.74.0-icu70.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Feb 2022 16:03:23 +0100

ros-ros-comm (1.15.14+ds-2) unstable; urgency=medium

  * Drop wrong MA field

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 14 Jan 2022 21:48:58 +0100

ros-ros-comm (1.15.14+ds-1) unstable; urgency=medium

  * Drop python3:Provides, python3:Versions
  * Drop repacksuffix number
  * New upstream version 1.15.14+ds
  * Make libroscpp-msg-dev arch all

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 13 Jan 2022 09:30:28 +0100

ros-ros-comm (1.15.13+ds1-6) unstable; urgency=medium

  * Update autopkgtest
  * Drop old Breaks/Replaces
  * Skip test failing on IPV6-only buildd (Closes: #1000268)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 21 Nov 2021 20:59:42 +0100

ros-ros-comm (1.15.13+ds1-5) unstable; urgency=medium

  * Ignore test compilation errors on !amd64

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 10:41:24 +0200

ros-ros-comm (1.15.13+ds1-4) unstable; urgency=medium

  * Only check test results on amd64

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 08:46:14 +0200

ros-ros-comm (1.15.13+ds1-3) unstable; urgency=medium

  * Enable testing

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Oct 2021 00:16:50 +0200

ros-ros-comm (1.15.13+ds1-2) unstable; urgency=medium

  * upload to unstable

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 16 Oct 2021 15:41:21 +0200

ros-ros-comm (1.15.13+ds1-1) experimental; urgency=medium

  * New upstream version 1.15.13+ds1 (Fix CVE-2021-37146)
  * SONAME bump: libroscpp3d -> libroscpp4d

 -- Timo Röhling <roehling@debian.org>  Tue, 28 Sep 2021 22:40:53 +0200

ros-ros-comm (1.15.9+ds1-11) unstable; urgency=medium

  * Fix rostest path in extras.cmake

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 24 Sep 2021 09:51:27 +0200

ros-ros-comm (1.15.9+ds1-10) unstable; urgency=medium

  * Team upload.
  * Fix /usr/include/xmlrpcpp include path

 -- Timo Röhling <roehling@debian.org>  Thu, 23 Sep 2021 23:53:53 +0200

ros-ros-comm (1.15.9+ds1-9) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * Fix Multiarch hinter issues

 -- Timo Röhling <roehling@debian.org>  Wed, 22 Sep 2021 22:44:05 +0200

ros-ros-comm (1.15.9+ds1-8) experimental; urgency=medium

  * Move pkg-config and CMake config files to /usr/lib/<triplet>
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Timo Röhling <roehling@debian.org>  Tue, 14 Sep 2021 22:59:53 +0200

=== debian/control ===
Source: ros-ros-comm
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
           Timo Röhling <roehling@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), libroscpp-core-dev,
 python3-rosunit, libconsole-bridge-dev, libboost-date-time-dev,
 libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev,
 libboost-system-dev, libboost-thread-dev, liblz4-dev,
 ros-message-generation, libbz2-dev, libros-rosgraph-msgs-dev, libstd-msgs-dev,
 dh-sequence-python3, python3-all-dev, liblog4cxx-dev, libstd-srvs-dev, libboost-chrono-dev, libb64-dev, librosconsole-dev, pluginlib-dev, libgpgme-dev, python3-empy, libgtest-dev,
 python3-roslib <!nocheck>, python3-defusedxml <!nocheck>, python3-rosclean <!nocheck>, python3-rosgraph-msgs <!nocheck>, python3-netifaces <!nocheck>, python3-pycryptodome <!nocheck>, python3-std-srvs <!nocheck>, python3-gnupg <!nocheck>, roslang <!nocheck>, rosbuild <!nocheck>, rospack-tools <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-comm
Vcs-Git: https://salsa.debian.org/science-team/ros-ros-comm.git
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/ros_comm


###########
# Clients #
###########

Package: libroscpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libroscpp4d (= ${binary:Version}), ${misc:Depends}, python3, libboost-filesystem-dev, libboost-system-dev, librosconsole-dev, libros-rosgraph-msgs-dev, libxmlrpcpp-dev, libroscpp-msg-dev
Description: Robot OS development files for libroscpp
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the development files for the library.

Package: libroscpp4d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS client library
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the library.

Package: ros-roscpp-msg
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-std-msgs
Description: Robot OS definitions of roscpp messages
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the message definitions.

Package: libroscpp-msg-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libroscpp-core-dev
Description: Robot OS header for roscpp messages
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated C++ headers.

Package: python3-roscpp-msg
Section: python
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-genpy
Description: Header for roscpp messages, Python 3
 This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
 It provides a client library that enables C++ programmers to quickly interface
 with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated Python 3 package.

Package: cl-roscpp-msg
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Header for roscpp messages, LISP
 This package is part of Robot OS (ROS). roscpp is a C++
 implementation of ROS. It provides a client library that enables C++
 programmers to quickly interface with ROS topics, services, and
 parameters.
 .
 roscpp is the most widely used ROS client library and is designed to be the
 high-performance library for ROS. ROS console output library.
 .
 This package contains the generated LISP library.

Package: python3-rospy
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-std-msgs, python3-rosgraph, python3-roscpp-msg, python3-rosgraph-msgs, python3-yaml, python3-roslib
Description: Python 3 client library for Robot OS
 This package is part of Robot OS (ROS). The rospy client API enables
 Python programmers to quickly interface with ROS topics, services,
 and parameters. The design of rospy favors implementation speed
 (i.e. developer time) over runtime performance so that algorithms can
 be quickly prototyped and tested within ROS. It is also ideal for
 non-critical-path code, such as configuration and initialization
 code. Many of the ROS tools are written in rospy to take advantage of
 the type introspection capabilities.
 .
 Many of the ROS tools, such as rostopic and rosservice, are built on
 top of rospy.
 .
 This package contains the Python 3 library.


#########
# Tools #
#########

Package: librosbag-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librosbag4d (= ${binary:Version}), ${misc:Depends}, librosbag-storage-dev, librosconsole-dev, libroscpp-dev, libtopic-tools-dev, libxmlrpcpp-dev, libstd-srvs-dev
Description: Tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the development files
 for the rosbag library, which provides APIs for reading/writing bags
 (ROS message stores) in C++ and Python.

Package: librosbag4d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Library for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It is the rosbag library,
 which provides APIs for reading/writing bags (ROS message stores) in
 C++ and Python. It is intended to be high performance and avoids
 deserialization and reserialization of the messages.
 .
 The related rosbag package provides a command-line tool for working
 with bags.

Package: python3-rosbag
Section: python
Architecture: any
Multi-Arch: allowed
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-roslib, python3-rospy, python3-roslz4, python3-pycryptodome, python3-gnupg
Description: Python 3 tools for recording from and playing back to Robot OS topics
 This package is part of Robot OS (ROS). It provides a command-line
 tool for working with bags (ROS messages stores). The corresponding
 librosbag package provides corresponding C++ and Python APIs.
 .
 This package contains the Python 3 library.

Package: librosbag-storage-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: librosbag-storage4d (= ${binary:Version}), ${misc:Depends}, libconsole-bridge-dev, libboost-date-time-dev, libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev, libroslz4-dev, libbz2-dev, pluginlib-dev, libgpgme-dev
Description: Development files for librosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the development files for the library.

Package: librosbag-storage4d
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Robot OS library for rosbag_storage
 This package is part of Robot OS (ROS). It is a set of tools for
 recording from and playing back ROS messages without relying on the
 ROS client library.
 .
 This package contains the library.

Package: python3-rosgraph
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-yaml, python3-rospkg
Description: Tool to print information about the Robot OS computation graph - Python 3
 This package is part of Robot OS (ROS). rosgraph contains the
 rosgraph command-line tool, which prints information about the ROS
 computation graph. It also provides an internal library that can be
 used by graphical tools.
 .
 This package contains the Python 3 library.

Package: python3-roslaunch
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rosclean,
 rosout, python3-rospkg, python3-rosgraph, python3-roslib, python3-rosmaster,
 python3-rosgraph-msgs, python3-netifaces, python3-rosparam, python3-yaml
Recommends: python3-crypto, python3-paramiko
Description: roslaunch tool for Robot OS - Python 3
 This package is part of Robot OS (ROS). roslaunch is a tool for
 easily launching multiple ROS nodes locally and remotely via SSH, as
 well as setting parameters on the Parameter Server. It includes
 options to automatically respawn processes that have already died.
 roslaunch takes in one or more XML configuration files (with the
 launch extension) that specify the parameters to set and nodes to
 launch, as well as the machines that they should be run on.
 .
 This package contains the Python 3 library.

Package: python3-rosmaster
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rosgraph, python3-rospkg, python3-defusedxml
Description: Robot OS Master implementation - Python 3
 This package is part of Robot OS (ROS). The rosmaster package
 implements the ROS Master. Most programs will not need to interact
 with this package directly. The rosmaster is run automatically
 whenever roscore is run and all communication with the Master happens
 over XMLRPC APIs.
 .
 This package contains the Python 3 library.

Package: python3-rosmsg
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rosgraph, python3-rospkg, python3-roslib, python3-rosbag, python3-genpy
Description: Command-line tools for displaying information about Robot OS - Python 3
 This package is part of Robot OS (ROS). rosmsg is a command-line tool
 for displaying information about ROS Message types. rossrv is a
 command-line tool for displaying information about ROS Service types.
 .
 This package contains the Python 3 library.

Package: python3-rosnode
Section: python
Architecture: all
Multi-Arch: allowed
Depends: ${python3:Depends}, ${misc:Depends}, python3-rosgraph, python3-rostopic
Description: Tool for displaying debug information about Robot OS - Python 3
 This package is part of Robot OS (ROS). rosnode is a command-line
 tool for displaying debug information about ROS Nodes, including
 publications, subscriptions and connections. It also contains an
 experimental library for retrieving node information. This library is
 intended for internal use only.
 .
 This package contains the Python 3 library.

Package: rosout
Section: misc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: Robot OS system-wide logging mechanism
 This package is part of Robot OS (ROS). rosout is the name of the
 console log reporting mechanism in ROS. It can be thought of as
 comprising several components:
  * The `rosout` node for subscribing, logging, and republishing the
    messages.
  * The /rosout topic

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds,\
    filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-ros-comm-$1.tar.gz%" \
    https://github.com/ros/ros_comm/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## ros-ros-comm 1.15.15+ds

=== tools/rosout/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosout)

if(NOT WIN32)
  set_directory_properties(PROPERTIES COMPILE_OPTIONS "-Wall;-Wextra")
endif()

find_package(catkin REQUIRED COMPONENTS roscpp rosgraph_msgs)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

add_executable(rosout rosout.cpp)
target_link_libraries(rosout ${catkin_LIBRARIES})

install(TARGETS rosout
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== test/test_roscpp/test_serialization/CMakeLists.txt ===
if(NOT GTEST_FOUND)
  return()
endif()

catkin_add_gtest(${PROJECT_NAME}-serialization src/serialization.cpp)
if(TARGET ${PROJECT_NAME}-serialization)
  target_link_libraries(${PROJECT_NAME}-serialization ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
  add_dependencies(${PROJECT_NAME}-serialization ${${PROJECT_NAME}_EXPORTED_TARGETS})
endif()

catkin_add_gtest(${PROJECT_NAME}-generated_messages src/generated_messages.cpp)
if(TARGET ${PROJECT_NAME}-generated_messages)
  target_link_libraries(${PROJECT_NAME}-generated_messages ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
  add_dependencies(${PROJECT_NAME}-generated_messages ${${PROJECT_NAME}_EXPORTED_TARGETS})
endif()

add_executable(${PROJECT_NAME}-builtin_types EXCLUDE_FROM_ALL src/builtin_types.cpp)
add_dependencies(tests ${PROJECT_NAME}-builtin_types) 
target_link_libraries(${PROJECT_NAME}-builtin_types ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME}-builtin_types ${${PROJECT_NAME}_EXPORTED_TARGETS})
add_rostest(test/builtin_types.test)

add_executable(${PROJECT_NAME}-pre_deserialize EXCLUDE_FROM_ALL src/pre_deserialize.cpp)
add_dependencies(tests ${PROJECT_NAME}-pre_deserialize)
target_link_libraries(${PROJECT_NAME}-pre_deserialize ${GTEST_LIBRARIES} ${catkin_LIBRARIES})
add_dependencies(${PROJECT_NAME}-pre_deserialize ${${PROJECT_NAME}_EXPORTED_TARGETS})
add_rostest(test/pre_deserialize.test)

=== debian/changelog ===
ros-ros-comm (1.15.15+ds-2) unstable; urgency=medium

  * Properly fix rospy logging in Python 3.11

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 10 May 2023 12:27:48 +0200

ros-ros-comm (1.15.15+ds-1) unstable; urgency=medium

  * New upstream version 1.15.15+ds
  * Refresh patches
    - Drop Fix-boost-placeholders-_7.patch (merged upstream)
    - Drop Add-missing-include.patch (merged upstream)

 -- Timo Röhling <roehling@debian.org>  Fri, 25 Nov 2022 16:23:00 +0100

ros-ros-comm (1.15.14+ds-5) unstable; urgency=medium

  * Add rosgraph patch for Python 3.11 (Closes: #1023953)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 13 Nov 2022 17:37:18 +0100

ros-ros-comm (1.15.14+ds-4) unstable; urgency=medium

  * Add patch for rosbag_storage plugin path (Closes: #1013553)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 25 Jun 2022 18:30:42 +0200

ros-ros-comm (1.15.14+ds-3) unstable; urgency=medium

  * Add patch for missing include
  * Add missing build dependency
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Jun 2022 21:33:52 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
  libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev,
  libboost-system-dev, libboost-thread-dev, liblz4-dev,
  ros-message-generation, libbz2-dev, libros-rosgraph-msgs-dev, libstd-msgs-dev,
- dh-sequence-python3, python3-all-dev, liblog4cxx-dev, libstd-srvs-dev, libboost-chrono-dev, libb64-dev, librosconsole-dev, pluginlib-dev, libgpgme-dev, python3-empy, libgtest-dev,
+ dh-sequence-python3, python3-all-dev, liblog4cxx-dev, libstd-srvs-dev, libboost-chrono-dev, libb64-dev, librosconsole-dev, pluginlib-dev, libgpgme-dev, python3-empy, libgtest-dev, libssl-dev,
  python3-roslib <!nocheck>, python3-defusedxml <!nocheck>, python3-rosclean <!nocheck>, python3-rosgraph-msgs <!nocheck>, python3-netifaces <!nocheck>, python3-pycryptodome <!nocheck>, python3-std-srvs <!nocheck>, python3-gnupg <!nocheck>, roslang <!nocheck>, rosbuild <!nocheck>, rospack-tools <!nocheck>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-comm
 Vcs-Git: https://salsa.debian.org/science-team/ros-ros-comm.git
 Rules-Requires-Root: no

=== debian/tests/control ===
Test-Command: ./debian/tests/compilation roscpp ros/ros.h
Restrictions: allow-stderr
Depends: libroscpp-dev, g++, catkin
Features: test-name=libroscpp-dev

Test-Command: ./debian/tests/compilation rosbag rosbag/player.h
Restrictions: allow-stderr
Depends: librosbag-dev, g++, catkin
Features: test-name=librosbag-dev

Test-Command: ./debian/tests/compilation rosbag_storage rosbag/bag.h
Restrictions: allow-stderr
Depends: librosbag-storage-dev, g++, catkin
Features: test-name=librosbag-storage-dev

Test-Command: ./debian/tests/compilation rostest rostest/permuter.h
Restrictions: allow-stderr
Depends: librostest-dev, g++, catkin
Features: test-name=librostest-dev

Test-Command: ./debian/tests/compilation topic_tools topic_tools/parse.h
Restrictions: allow-stderr
Depends: libtopic-tools-dev, g++, catkin
Features: test-name=libtopic-tools-dev

Test-Command: ./debian/tests/compilation message_filters message_filters/subscriber.h
Restrictions: allow-stderr
Depends: libmessage-filters-dev, g++, catkin
Features: test-name=libmessage-filters-dev

Test-Command: ./debian/tests/compilation roslz4 roslz4/lz4s.h
Restrictions: allow-stderr
Depends: libroslz4-dev, g++, catkin
Features: test-name=libroslz4-dev

Test-Command: ./debian/tests/compilation xmlrpcpp xmlrpcpp/XmlRpc.h
Restrictions: allow-stderr
Depends: libxmlrpcpp-dev, g++, catkin
Features: test-name=libxmlrpcpp-dev

Test-Command: python3 -c "import roscpp.msg"
Restrictions: allow-stderr
Depends: python3-roscpp-msg
Features: test-name=python3-roscpp-msg

Test-Command: python3 -c "import rospy"
Restrictions: allow-stderr
Depends: python3-rospy
Features: test-name=python3-rospy

Test-Command: python3 -c "import rosbag"
Restrictions: allow-stderr
Depends: python3-rosbag
Features: test-name=python3-rosbag

Test-Command: python3 -c "import rosgraph"
Restrictions: allow-stderr
Depends: python3-rosgraph
Features: test-name=python3-rosgraph

Test-Command: python3 -c "import roslaunch"
Restrictions: allow-stderr
Depends: python3-roslaunch
Features: test-name=python3-roslaunch

Test-Command: python3 -c "import rosmaster"
Restrictions: allow-stderr
Depends: python3-rosmaster
Features: test-name=python3-rosmaster

Test-Command: python3 -c "import rosmsg"
Restrictions: allow-stderr
Depends: python3-rosmsg
Features: test-name=python3-rosmsg

Test-Command: python3 -c "import rosnode"
Restrictions: allow-stderr
Depends: python3-rosnode
Features: test-name=python3-rosnode

Test-Command: python3 -c "import rosparam"
Restrictions: allow-stderr
Depends: python3-rosparam
Features: test-name=python3-rosparam

Test-Command: python3 -c "import rosservice"
Restrictions: allow-stderr
Depends: python3-rosservice
Features: test-name=python3-rosservice

Test-Command: python3 -c "import rostest"
Restrictions: allow-stderr
Depends: python3-rostest
Features: test-name=python3-rostest

Test-Command: python3 -c "import rostopic"
Restrictions: allow-stderr
Depends: python3-rostopic
Features: test-name=python3-rostopic

## ros-ros-comm 1.16.0+ds

=== tools/rosnode/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(rosnode)
find_package(catkin REQUIRED)
catkin_package()

catkin_python_setup()

if(CATKIN_ENABLE_TESTING)
  find_package(rostest)
  add_rostest(test/rosnode.test)
endif()

=== debian/changelog ===
ros-ros-comm (1.16.0+ds-1) unstable; urgency=medium

  * New upstream version 1.16.0+ds
  * Support cross compile
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Jun 2023 21:58:12 +0200

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 13), catkin (>= 0.8.10-1~), libroscpp-core-dev,
- python3-rosunit, libconsole-bridge-dev, libboost-date-time-dev,
+ python3-rosunit <!nocheck>, libconsole-bridge-dev, libboost-date-time-dev,
  libboost-filesystem-dev, libboost-program-options-dev, libboost-regex-dev,
  libboost-system-dev, libboost-thread-dev, liblz4-dev,
  ros-message-generation, libbz2-dev, libros-rosgraph-msgs-dev, libstd-msgs-dev,
- dh-sequence-python3, python3-all-dev, liblog4cxx-dev, libstd-srvs-dev, libboost-chrono-dev, libb64-dev, librosconsole-dev, pluginlib-dev, libgpgme-dev, python3-empy, libgtest-dev, libssl-dev,
+ dh-sequence-python3, python3-all-dev:any, libpython3-all-dev, liblog4cxx-dev, libstd-srvs-dev, libboost-chrono-dev, libb64-dev, librosconsole-dev, pluginlib-dev, libgpgme-dev, python3-empy, libgtest-dev, libssl-dev,
  python3-roslib <!nocheck>, python3-defusedxml <!nocheck>, python3-rosclean <!nocheck>, python3-rosgraph-msgs <!nocheck>, python3-netifaces <!nocheck>, python3-pycryptodome <!nocheck>, python3-std-srvs <!nocheck>, python3-gnupg <!nocheck>, roslang <!nocheck>, rosbuild <!nocheck>, rospack-tools <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/ros-ros-comm
 Vcs-Git: https://salsa.debian.org/science-team/ros-ros-comm.git
 Rules-Requires-Root: no
@@ -27,7 +27,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libroscpp4d (= ${binary:Version}), ${misc:Depends}, python3, libboost-filesystem-dev, libboost-system-dev, librosconsole-dev, libros-rosgraph-msgs-dev, libxmlrpcpp-dev, libroscpp-msg-dev
+Depends: libroscpp4d (= ${binary:Version}), ${misc:Depends}, libboost-filesystem-dev, libboost-system-dev, librosconsole-dev, libros-rosgraph-msgs-dev, libxmlrpcpp-dev, libroscpp-msg-dev
 Description: Robot OS development files for libroscpp
  This package is part of Robot OS (ROS). roscpp is a C++
  implementation of ROS. It provides a client library that enables C++
@@ -72,7 +72,8 @@
 
 Package: libroscpp-msg-dev
 Section: libdevel
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, libroscpp-core-dev
 Description: Robot OS header for roscpp messages
  This package is part of Robot OS (ROS). roscpp is a C++ implementation of ROS.
@@ -118,8 +119,8 @@
 
 Package: python3-rospy
 Section: python
-Architecture: all
-Multi-Arch: allowed
+Architecture: any
+Multi-Arch: same
 Depends: ${python3:Depends}, ${misc:Depends}, python3-std-msgs, python3-rosgraph, python3-roscpp-msg, python3-rosgraph-msgs, python3-yaml, python3-roslib
 Description: Python 3 client library for Robot OS
  This package is part of Robot OS (ROS). The rospy client API enables
@@ -280,6 +281,3 @@
  This package is part of Robot OS (ROS). rosout is the name of the
  console log reporting mechanism in ROS. It can be thought of as
  comprising several components:
-  * The `rosout` node for subscribing, logging, and republishing the
-    messages.
-  * The /rosout topic

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,11 @@
   TESTS=--before-test "PYTHONPATH={build_dir}/build/devel/lib/python*/dist-packages make -C {build_dir} run_tests || true"
 endif
 
+export _PYTHON_HOST_PLATFORM:=${DEB_HOST_ARCH_OS}-${DEB_HOST_ARCH}
+ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
+    export _PYTHON_SYSCONFIGDATA_NAME:=_sysconfigdata__${DEB_HOST_ARCH_OS}_${DEB_HOST_MULTIARCH}
+endif
+
 %:
 	dh $@ --buildsystem=pybuild
